aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAnthony G. Basile <blueness@gentoo.org>2016-05-01 19:52:09 -0400
committerAnthony G. Basile <blueness@gentoo.org>2016-05-01 19:52:09 -0400
commit8da39130c7e90e06481a6606d798c1ff65291e46 (patch)
treeda64e92a8c18964133db8033eb8350f443b2c918
parenttoolchain.eclass: sanely check if there are spec files to be installed (diff)
downloadhardened-dev-8da39130c7e90e06481a6606d798c1ff65291e46.zip
hardened-dev-8da39130c7e90e06481a6606d798c1ff65291e46.tar.gz
hardened-dev-8da39130c7e90e06481a6606d798c1ff65291e46.tar.bz2
Revert "toolchain.eclass: sanely check if there are spec files to be installed"
This reverts commit c5c2daa6ff0970a37747c58328df38b4ce57207f. Zorry already addressed this issue in the previous commit.
-rw-r--r--eclass/toolchain.eclass6
1 files changed, 1 insertions, 5 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 40b2cf9..247dcee 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1954,11 +1954,7 @@ copy_minispecs_gcc_specs() {
fi
create_gcc_env_entry vanilla
insinto ${LIBPATH}
- # Only doins if there are actually spec files in "${WORKDIR}"/specs/
- local SPECSDIR="${WORKDIR}"/specs/
- if [[ "$(ls -A ${SPECSDIR})" ]]; then
- doins "${SPECSDIR}"/*.specs || die "failed to install specs"
- fi
+ doins "${WORKDIR}"/specs/*.specs || die "failed to install specs"
# Build system specs file which, if it exists, must be a complete set of
# specs as it completely and unconditionally overrides the builtin specs.
if ! tc_version_is_at_least 4.4 ; then